﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Components/BoxComponent.h"
#include "GameFramework/Actor.h"
#include "AI_RestrictedZoneModifier.generated.h"

UCLASS()
class ENDLESSVENDETTA_API AAI_RestrictedZoneModifier : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	AAI_RestrictedZoneModifier();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

	UBoxComponent* BoxCollision;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
};
